# Add Jenkins Helm repository
helm repo add jenkins https://charts.jenkins.io
helm repo update

# Create a namespace for Jenkins
kubectl create namespace jenkins

# Install Jenkins using Helm
helm install jenkins jenkins/jenkins --namespace jenkins

# Wait for Jenkins pod to be ready
kubectl wait --for=condition=Ready pod -n jenkins -l "app.kubernetes.io/component=jenkins-master"

# Retrieve initial admin password
ADMIN_PASSWORD=$(kubectl exec --namespace jenkins -it svc/jenkins -c jenkins -- /bin/cat /run/secrets/additional/chart-admin-password)

# Port forward to access Jenkins UI
kubectl port-forward svc/jenkins -n jenkins 8080:8080

# Access Jenkins URL in your browser
echo "Jenkins URL: http://localhost:8080"

# Use the admin password to log in to Jenkins
echo "Admin Password: $ADMIN_PASSWORD"

